
package test.org.itscool.commons.dao;

import org.itscool.commons.dao.*;


// ----------------------------------------------------------------
// DB-MAP-TOOLが生成したクラスです
// ----------------------------------------------------------------
/**
 * 社員クラス
 * @author 加納
 * 作成日 2004/12/23
 */
public class Customer1 {
    
    public static final String TABLE = "CUSTOMER";
    public static final String COLUM_id = "id";
    public static final String COLUM_name = "name";
    public static final String COLUM_companyId = "company_id";
    public static final String COLUM_postId = "post_id";
    
    //1対1関連
    public static final String FK_TABLE_post = "POST";
    public static final String FK_COLUM_post_postId = "id";
    
    public static final String FK_TABLE_company = "COMPANY";
    public static final String FK_COLUM_company_companyId = "id";
    
    private int id;
    private String name;
    private int companyId;
    private int postId;
    
    private Post1 post;
    private Company1 company;
    
    
    
    
    /**
     * @return company を戻します。
     */
    public Company1 getCompany() {
        return company;
    }
    /**
     * @param company company を設定。
     */
    public void setCompany(Company1 company) {
        this.company = company;
    }
    /**
     * @return companyId を戻します。
     */
    public int getCompanyId() {
        return companyId;
    }
    /**
     * @param companyId companyId を設定。
     */
    public void setCompanyId(int companyId) {
        this.companyId = companyId;
    }
    /**
     * @return id を戻します。
     */
    public int getId() {
        return id;
    }
    /**
     * @param id id を設定。
     */
    public void setId(int id) {
        this.id = id;
    }
    /**
     * @return name を戻します。
     */
    public String getName() {
        return name;
    }
    /**
     * @param name name を設定。
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return post を戻します。
     */
    public Post1 getPost() {
        return post;
    }
    /**
     * @param post post を設定。
     */
    public void setPost(Post1 post) {
        this.post = post;
    }
    /**
     * @return postId を戻します。
     */
    public int getPostId() {
        return postId;
    }
    /**
     * @param postId postId を設定。
     */
    public void setPostId(int postId) {
        this.postId = postId;
    }
}
